#ifndef PLANE
#define PLANE

#include <QObject>
#include <QGraphicsItem>        //элементы сцены
#include <QPainter>             //рисование
#include <QGraphicsScene>       //сцена
#include <QRectF>               //область отрисовки функции
#include <QGraphicsSceneMouseEvent>//воздействие мышкой на сцене
#include <QCursor>              //отвечает за изменение курсора

#include <windows.h>            //отвечает за использование WinAPI, для асинхронной проверки состояния клавиш
#include <QLabel>

class Plane : public QObject, public QGraphicsItem
{
    Q_OBJECT

public:
    explicit Plane(QObject *parent=0);
    ~Plane();
    static int ResID;   // переменная ID
    int getID() const;        //метод получения ID
    static int n; //кол-во объектов
    //static int N; //переменная получения номера


signals:
    void signalStopTimer();      //сигнал остановки таймера
    void signalNumber();         //сигнал для передачи номера объекта

public slots:
    void slotGameTimer();        //отвечает за перемещение объекта


protected:
    QRectF boundingRect() const;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *MainWindow);

private:
    void mousePressEvent(QGraphicsSceneMouseEvent *event);  //перетаскивание
    void mouseReleaseEvent(QGraphicsSceneMouseEvent *event);//для красоты(изменение указателя мыши)
    void mouseMoveEvent(QGraphicsSceneMouseEvent *event);   //перетаскивание
    //void mouseDoubleClickEvent(QGraphicsSceneMouseEvent *event);//двойной клик

    int IDplane;


};

#endif // PLANE

